List Ads
/unified/ads/ads
Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for the account.
2 supported2 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Ads
The unique identifier for the ad.
2 supported
The unique identifier for the account.
2 supported
The unique identifier for the ad_group.
1 supported
The bid for the ad.
1 supported
5 properties
The bid adjustments for the ad.
The bid amount for the ad.
The bid constraints for the ad.
The bid values for different objectives of the ad.
The bid strategy for the ad.
2 properties
The unique identifier for the bid strategy.
The name of the bid strategy.
The unique identifier for the campaign.
2 supported
The conversion domain for the ad.
1 supported
The date and time the ad was created.
1 supported
The creative for the ad.
1 supported
The unique identifier for the creative.
1 supported
The issues for the ad that prevented the ad from being delivered.
1 supported
5 properties
The code for the issue.
The error summary for the issue.
The level for the issue.
The error message for the issue.
The type for the issue.
The labels for the ad.
2 supported
2 properties
The unique identifier for the label.
The name of the label.
The name of the ad.
1 supported
The preview URL for the ad.
1 supported
2 properties
The type for the preview.
The URL for the preview.
Raw data returned from the remote API call.
The schedule for the ad.
1 supported
2 properties
The end time for the ad.
The start time for the ad.
The status of the ad.
activepauseddeletedarchivedin_processwith_issuescampaign_pausedpending_reviewdisapprovedpreapprovedpending_billing_infoadset_paused
2 supported
The tracking specs for the ad.
1 supported
The type of the ad
2 supported
The date and time the ad was last updated.
1 supported
curl -X GET 'https://api.truto.one/unified/ads/ads?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ads/ads?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ads/ads"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ads',
'ads',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ads",
"ads",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())